Cannot connect with publickey since openssh 8.8p1-1

Advertisement

Messiah93
Donor
Messiah93 avatar
Joined:
Posts:
3
Location:
Belgium

Cannot connect with publickey since openssh 8.8p1-1

Hey, I have updated my ArchLinux deciated server today (Pacman -Syu), it update OpenSSH to version 8.8p1-1, after that, I cannot longer connect to my dedicated server. Message is:

WinSCP error:
Authentication log (see session log for details):
Using username "root".
Server refused our key.

Authentication failed.
Server side error:
userauth_pubkey: key type ssh-rsa not in PubkeyAcceptedAlgorithms [preauth]
However, if I right click on my dedicated server in site list of WinSCP and I click on Open in PuTTY, PuTTY works fine. So I am thinking of a problem with WinSCP since the last version of OpenSSH (8.8p1-1).

I don't have any problem on my other dedicated server with ArchLinux also, but not updated (OpenSSH 8.5p1-1).

It's seems to be a problem with SSH-RSA key type which has been deprecated, idk, see the OpenSSH changelog: https://www.openssh.com/releasenotes.html

Using WinSCP v5.19.2 (B 11614)

Reply with quote

Advertisement

martin
Site Admin
martin avatar
Joined:
Posts:
36,205
Location:
Prague, Czechia

Re: Cannot connect with publickey since openssh 8.8p1-1

Please attach WinSCP session log file and PuTTY event log.

Reply with quote

Advertisement

martin
Site Admin
martin avatar
Joined:
Posts:
36,205
Location:
Prague, Czechia

Re: Cannot connect with publickey since openssh 8.8p1-1

@DragonX256: Thanks.

This issue is being tracked here:
https://winscp.net/tracker/1952

Workaround is mentioned in the tracker.

I'm sending you an email with a development version of WinSCP to the address you have used to register on this forum.

Reply with quote

Advertisement

You can post new topics in this forum